Pkgcheck Warnings

  • All Versions
    • LaggingStable
      slot(1.0), stabled arches: [ arm, arm64, ppc, ppc64 ], lagging: [ ~amd64, ~x86 ]
    • PotentialStable
      slot(1.0), stabled arches: [ arm, arm64, ppc, ppc64 ], potentials: [ ~hppa, ~sparc ]
    • UnstableOnly
      for arches: [ hppa, sparc ], all versions are unstable: [ 1.20.5-r1, 1.20.6, 1.22.11-r1 ]
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 19
    • RedundantVersion
      slot(1.0) keywords are overshadowed by version: 1.20.6
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-JSON-PP'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-JSON-PP'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-JSON-PP'
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 19
  • 1.22.11-r1
    • LaggingStable
      slot(1.0), stabled arches: [ arm, arm64, ppc, ppc64 ], lagging: [ ~amd64, ~x86 ]
    • PotentialStable
      slot(1.0), stabled arches: [ arm, arm64, ppc, ppc64 ], potentials: [ ~hppa, ~sparc ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-JSON-PP'
  • 1.20.6
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 19
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-JSON-PP'
  • 1.20.5-r1
    • RedundantVersion
      slot(1.0) keywords are overshadowed by version: 1.20.6
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-JSON-PP'
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 19

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.